The Open Group Base Specifications Issue 7
IEEE Std 1003.1-2008, 2016 Edition
Copyright © 2001-2016 The IEEE and The Open Group

#### NAME

> killpg - send a signal to a process group

#### SYNOPSIS

> ``[XSI] #include <signal.h>
> int killpg(pid_t` pgrp`, int` sig`);``
> `
> `

#### DESCRIPTION

> The killpg() function shall send the signal specified by sig to the process group specified by pgrp.

> If pgrp is greater than 1, killpg(pgrp, sig) shall be equivalent to kill(-pgrp, sig). If pgrp is less than or equal to 1, the behavior of killpg() is undefined.

#### RETURN VALUE

> Refer to kill.

#### ERRORS

> Refer to kill.

The following sections are informative.

#### EXAMPLES

> ##### Sending a Signal to All Other Members of a Process Group

> The following example shows how the calling process could send a signal to all other members of its process group. To prevent itself from receiving the signal it first makes itself immune to the signal by ignoring it.

>     #include <signal.h>
>     #include <unistd.h>
>     ...
>         if (signal(SIGUSR1, SIG_IGN) == SIG_ERR)
>             /* Handle error */;

>         if (killpg(getpgrp(), SIGUSR1) == -1)
>             /* Handle error */;"

#### APPLICATION USAGE

> None.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> getpgid, getpid, kill, raise

> XBD <signal.h>

#### CHANGE HISTORY

> First released in Issue 4, Version 2.

#### Issue 5

> Moved from X/OPEN UNIX extension to BASE.

#### Issue 6

> IEEE Std 1003.1-2001/Cor 2-2004, item XSH/TC2/D6/52 is applied, adding the example to the EXAMPLES section.

End of informative text.

return to top of page

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
Copyright © 2001-2016 The IEEE and The Open Group, All Rights Reserved
[ Main Index | XBD | XSH | XCU | XRAT ]